Package: groovy.lang

## [Java] Class InnerLoader

- groovy.lang.GroovyClassLoader.InnerLoader

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class GroovyClassLoader` | `classCache, sourceCache`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyClassLoader.InnerLoader (GroovyClassLoader delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `addClasspath(String path)`
    `void` | `addURL(URL url)`
    `void` | `clearCache()`
    `URL` | `findResource(String name)`
    `Enumeration` | `findResources(String name)`
    `Class[]` | `getLoadedClasses()`
    `URL` | `getResource(String name)`
    `InputStream` | `getResourceAsStream(String name)`
    `GroovyResourceLoader` | `getResourceLoader()`
    `long` | `getTimeStamp()`
    `URL[]` | `getURLs()`
    `Class` | `loadClass(String name, boolean lookupScriptFiles, boolean preferClassOverScript, boolean resolve)`
    `Class` | `parseClass(GroovyCodeSource codeSource, boolean shouldCache)`
    `void` | `setResourceLoader(GroovyResourceLoader resourceLoader)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyClassLoader` | `addClasspath, addURL, clearCache, createCollector, createCompilationUnit, defineClass, defineClass, generateScriptName, getClassCacheEntry, getClassPath, getLoadedClasses, getPermissions, getResourceLoader, getTimeStamp, isRecompilable, isShouldRecompile, isSourceNewer, loadClass, loadClass, loadClass, loadClass, parseClass, parseClass, parseClass, parseClass, parseClass, parseClass, recompile, removeClassCacheEntry, setClassCacheEntry, setResourceLoader, setShouldRecompile`
    `class URLClassLoader` | `getResourceAsStream, newInstance, newInstance, findResource, findResources, close, getURLs, loadClass, getSystemClassLoader, getResource, getSystemResource, getSystemResourceAsStream, clearAssertionStatus, getParent, getResources, getSystemResources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public GroovyClassLoader.InnerLoader(GroovyClassLoader delegate)

  - ### Method Detail

    - #### public void addClasspath(String path)

    - #### public void addURL(URL url)

    - #### public void clearCache()

    - #### public URL findResource(String name)

    - #### public Enumeration findResources(String name)

    - #### public Class[] getLoadedClasses()

    - #### public URL getResource(String name)

    - #### public InputStream getResourceAsStream(String name)

    - #### public GroovyResourceLoader getResourceLoader()

    - #### public long getTimeStamp()

    - #### public URL[] getURLs()

    - #### public Class loadClass(String name, boolean lookupScriptFiles, boolean preferClassOverScript, boolean resolve)

    - #### public Class parseClass(GroovyCodeSource codeSource, boolean shouldCache)

    - #### public void setResourceLoader(GroovyResourceLoader resourceLoader)